;; Sample emacs configuration

(if (eq system-type 'android)
  (progn ;; Android custom org-latex-preview
    (setq org-preview-latex-process-alist
          '((texpngweb
              :programs ("curl")
              :description "tex > png"
              :message "you need to install curl."
              :image-input-type "tex"
              :image-output-type "png"
              :image-size-adjust (1.0 . 1.0)
              :latex-compiler ("")
              :image-converter ("curl -F \"file=@%f\" -F \"dpi=%D\" http://0.0.0.0:8000 && curl http://0.0.0.0:8000/tmp.png -o %O"))))
    (setq org-latex-create-formula-image-program 'texpngweb)))
